#!/usr/bin/perl -w

# Copyright 2010, 2011 Kevin Ryde

# This file is part of Image-Base-Prima.
#
# Image-Base-Prima is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3, or (at your option) any
# later version.
#
# Image-Base-Prima is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with Image-Base-Prima.  If not, see <http://www.gnu.org/licenses/>.

use 5.004;
use strict;
use warnings;
use ExtUtils::MakeMaker;
use lib 'inc';
use MyMakeMakerExtras;

MyMakeMakerExtras::WriteMakefile
  (NAME         => 'Image-Base-Prima',
   ABSTRACT     => 'Image::Base drawing into Prima windows and images.',
   VERSION_FROM => 'lib/Image/Base/Prima/Drawable.pm',
   AUTHOR       => 'Kevin Ryde <user42@zip.com.au>',
   LICENSE      => 'gpl',
   SIGN         => 1,
   PREREQ_PM    => {
                    'warnings' => 0,

                    # only for testing actually
                    'List::Util' => 0,

                    # ellipse() $fill done natively, so no need to depend on
                    # Image::Base 1.12 for that
                    'Image::Base' => '1.12',

                    'Prima' => 0,
                    'Prima::noX11' => 0, # used explicitly, so name it
                    # 'Prima::Drawable' => 0, # in core, only Drawable.pod
                    # 'Prima::Image' => 0,    # in core, only Image.pod

                    'Test::More' => 0,
                   },
   MIN_PERL_VERSION => '5.004',

   META_MERGE
   => { resources
        => { homepage => 'http://user42.tuxfamily.org/image-base-prima/index.html',
           },
        optional_features
        => { maximum_devel
             => { description => 'Stuff used variously for development.',
                  requires => { 'Smart::Comments'     => 0,
                              },
                },
           },
      });
